PHP Manual
Prev |  | Next

# time_sleep_until

(PHP 5 >= 5.1.0RC1)

time_sleep_until -- Make the script sleep until the specified time

## Description

bool time_sleep_until ( float timestamp )

This function will make the script sleep until the specified timestamp. If the specified timestamp is in the past, time_sleep_until() will generate a `E_WARNING` and return `FALSE`.

> Note: This function is not implemented on Windows platforms.

## Parameters

timestamp

  The timestamp when the script should wake.

> Note: All signals will be delivered after the script wakes up.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. A time_sleep_until() example

`<?php //returns false and generates a warning var_dump(time_sleep_until(time()-1)); // may only work on faster computers, will sleep up to 0.2 seconds var_dump(time_sleep_until(time()+0.2)); ?>`

## See Also

sleep()
usleep()
time_nanosleep()

Prev | Home | Next
time_nanosleep | Up | uniqid